.calendar {
  width : 100%;
  display : grid;
  grid-template-columns: repeat(3, 1fr);
  grid-gap : 24px 24px;
  margin-top : 100px;
}

.month-card {
  padding : 20px;
  display: flex;
  flex-direction: column;
  background-color: white;

  .month-data {
    display : flex;
    justify-content: space-between;
    padding : 0 17px 0 0;
  }

  .month-box {
    display: flex;
    flex-direction: column;

    .week-days {
      display : grid;
      grid-template-columns: repeat(7, 1fr);
    }

    .month-days {
      display : grid;
      grid-template-columns: repeat(7, 1fr);
      grid-gap: 4px;
    }

    .week-day {
      display : flex;
      justify-content : flex-start;
      align-items : center;
      height : 40px;
    }

    .month-day {
      position : relative;
      display : flex;
      justify-content : center;
      align-items : center;
      height : 40px;

      &:before {
        content : '';
        position : absolute;
        top : calc(100% - 5px);
        left : 50%;
        transform : translateX(-50%);
        width : 10px;
        height : 10px;
        border-radius : 50%;
        background-color : $red;
        display : none;
      }

      &:after {
        content : '';
        position : absolute;
        top : calc(100% - 1px);
        left : 50%;
        transform : translateX(-50%);
        width : 5px;
        height : 2px;
        background-color : #fff;
        display : none;
      }

      &.has-incidents {
        cursor : pointer;
        background-color : #F5F5F5;
        &:before, &:after {
          display : block;
        }
      }

      &:hover {
        .day-incidents {
          display : block;
        }
      }
    }

  }

}

.day-incidents {
  width : 300px;
  position : absolute;
  bottom : calc(100% + 10px);
  left : 50%;
  transform : translateX(-50%);
  padding : 20px 20px 20px 20px;
  display : none;
  z-index : 1;
  background-color : #F5F5F5;
  transition : all 0.3s;

  .date {
    margin : 0 0 15px 0;
    font-weight : 700;
  }

  .incidents {
    display : grid;
    grid-gap : 10px 0;
  }

  .incident {

  }

  .incident-host {
    font-weight : 700;
  }

  .incident-description {

  }

  .incident-timing {
    display : flex;
    justify-content : space-between;
    font-size : 14px;
  }

  .incident-time-start, .incident-time-end {
    flex : 0 0 50%;
  }

  &:after {
    content : '';
    position : absolute;
    left : 50%;
    transform : translateX(-50%);
    bottom : -20px;
    border: solid transparent;
    border-width: 10px;
    border-top-color: #F5F5F5;
  }

}